## GtkCellRendererCombo

GtkCellRendererCombo — Renders a combobox in a cell

## Synopsis

    #include <gtk/gtk.h>

                GtkCellRendererCombo;
    GtkCellRenderer* gtk_cell_renderer_combo_new
                                                (void);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkCellRenderer
                   +----GtkCellRendererText
                         +----GtkCellRendererCombo

## Properties

      "has-entry"            gboolean              : Read / Write
      "model"                GtkTreeModel          : Read / Write
      "text-column"          gint                  : Read / Write

## Description

GtkCellRendererCombo renders text in a cell like GtkCellRendererText from which it is derived. But while GtkCellRendererText offers a simple entry to edit the text, GtkCellRendererCombo offers a GtkComboBox or GtkComboBoxEntry widget to edit the text. The values to display in the combo box are taken from the tree model specified in the model property.

The combo cell renderer takes care of adding a text cell renderer to the combo box and sets it to display the column specified by its text-column property. Further cell renderers can be added in a handler for the editing-started signal.

## Details

### GtkCellRendererCombo

    typedef struct _GtkCellRendererCombo GtkCellRendererCombo;

### gtk_cell_renderer_combo_new ()

    GtkCellRenderer* gtk_cell_renderer_combo_new
                                                (void);

Creates a new GtkCellRendererCombo. Adjust how text is drawn using object properties. Object properties can be set globally (with `g_object_set()`). Also, with GtkTreeViewColumn, you can bind a property to a value in a GtkTreeModel. For example, you can bind the "text" property on the cell renderer to a string value in the model, thus rendering a different string in each row of the GtkTreeView.

Returns : | the new cell renderer

Since 2.6

## Properties

### The "`has-entry`" property

      "has-entry"            gboolean              : Read / Write

If `TRUE`, the cell renderer will include an entry and allow to enter values other than the ones in the popup list.

Default value: TRUE

Since 2.6

### The "`model`" property

      "model"                GtkTreeModel          : Read / Write

Holds a tree model containing the possible values for the combo box. Use the text_column property to specify the column holding the values.

Since 2.6

### The "`text-column`" property

      "text-column"          gint                  : Read / Write

Specifies the model column which holds the possible values for the combo box. Note that this refers to the model specified in the model property, not the model backing the tree view to which this cell renderer is attached.

GtkCellRendererCombo automatically adds a text cell renderer for this column to its combo box.

Allowed values: >= -1

Default value: -1

Since 2.6